Skip to main content
`Ctrl`+`K`

# DMSwarmInitializeVelocitiesFromOptions

Set the initial velocities of particles using a distribution determined from options.

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmInitializeVelocitiesFromOptions(DM sw, const PetscReal v0[])

Collective

## Input Parameters

- sw - The `DMSWARM` object

- v0 - The velocity scale for nondimensionalization for each species

## See Also

`DMSWARM`, `DMSwarmComputeLocalSize()`, `DMSwarmInitializeCoordinates()`, `DMSwarmInitializeVelocities()`

## Level

advanced

## Location

src/dm/impls/swarm/swarmpic.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages